Psroff 2.0 Part 13 of 16
Chris Lewis
clewis at ecicrl.UUCP
Sat Nov 17 16:00:44 AEST 1990
Submitted-by: Chris Lewis <clewis at ecicrl.uucp>
Archive-name: psroff2.0/Part13
#! /bin/sh
# This is a shell archive. Remove anything before this line, then feed it
# into a shell via "sh file" or similar. To overwrite existing files,
# type "sh file -c".
# The tool that generated this appeared in the comp.sources.unix newsgroup;
# send mail to comp-sources-unix at uunet.uu.net if you want that tool.
# Contents: fonts.lj/H.10.pk.UU fonts.lj/S.6.pk.UU fonts.lj/S.7.pk.UU
# fonts.lj/S.8.pk.UU lib/dt.fonts lib/lj.fonts lib/psrofflib.S
# man/hpinterp.1.S psroff.S tests/chartab.m tests/testtab.m
# utils/pk2ditwid.c widths/widthps/HX
# Wrapped by clewis at ecicrl on Fri Nov 16 23:37:13 1990
PATH=/bin:/usr/bin:/usr/ucb ; export PATH
echo If this archive is complete, you will see the following message:
echo ' "shar: End of archive 13 (of 16)."'
if test -f 'fonts.lj/H.10.pk.UU' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'fonts.lj/H.10.pk.UU'\"
else
echo shar: Extracting \"'fonts.lj/H.10.pk.UU'\" \(5603 characters\)
sed "s/^X//" >'fonts.lj/H.10.pk.UU' <<'END_OF_FILE'
Xtable
X !"#$%&'()*+,-./0123456789:;<=>?
X at ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_
Xbegin 644 fonts.lj/H.10.pk
XM]UD``*``````````!":N``0FKM@/J0```!4)!_T<-S<W-S<W,-`0J````!4)
XM!_@<8U-34U-34V#0$+,````<"0?W'"4W'B,S%S4 at F`PA````#0,=^QS2$::0
XMV!(B````%0L(_QSB-3$F+B$7$28AL#PC````(QXE_AS"XB<L8V/&XB<L8V/&
XMXR<L8V.-`=+BHG+&-CQN,G*M(="#8\;B)RQC8\;B)RQC8\;B)RP at T#@D````
XM%1`A_AY_+'>T02)",R0B,R?C-"=#)U(HB8F8F8DA6",X(TXW)$8D(24C,30C
XM(T(A-:EL\G#`9R4````C'B'^'D32*&T#>,)T)*-S0Z)S8X-S8X*#8W.#8V.3
XM8V*C8U.C8U+#0U/$)$/1A2TV4]1&)DU#5M,EC1-$),-30\)38Z-38Z)C8Y-C
XM8X-S8X*#8W.#8W*C0W.D)'+(<]!H+21`P$LF````'QH?_AV$V&UHU3(]3D-#
XMTS--,R34,CU3%-9M=;)UPF7"9[)4$[)$,Y)31()$4W)39%-3=$)C at S)SDQ*3
XMA:.4 at 2-H0SHZ5G8@Z`LG````#`,(_!S_M);0("@````0"RK^'H-S<W-_-_-^
XM(WXS?K.>,YXCGSGSDY.3D]@@*0```!`+*OX>.3DY.?.?.>(YXSGK/C<WXC?S
XM?S<W-S<XT"<J````%1`2_AYR`0/?*"0D(5(B45$A5*CVBD42%14B)1)"0H\@
XM$#TGT`\K````(!L<_A?>PL`X[-+`Z`LL````#`,(_`+_M);("2T````."P(`
XM"=G8"2X````,`P/\`I#0+B\````5$"G^'@$/+3_2T]+3WRT]\M/?+3WRT]+3
XMWRT]\M/?+3WRT]+3WRT]\@$`T"`P````%1`=_AMDJ'I41$-C/B.#'L.CXA.#
XM,V-$1%IXEE#`$C$````5#1S\&W&C=EA2,Z[7-=W0*S(````5$!S^&U698T1#
XM<S*$$Y,2I!&D$;/]/$P\3#Q+2TM,/#P\/#P\/`(@T"DS````%1`=_AM6B6-3
XM0W,CA"\93/3#Q+2'EJ<!!-/4WC7[:4(H-#5%F670*C0````5$AO_&J35T1/"
XM$[,3LB.O,CGS,X\T-S4V138V-48U-S1'-`)N:S30)34````5$!S^&A\!`N8]
XM,E:UQ&-#54)&0D=.7$$902E")T0T1IAFT"XV````%1`=_AN%F'-18\/////3
XM-4,H,QHF1"5D%(,4EN2C\3DQ.#,H,S8U-#>*5=@;-P```!40&_X:`BT\///#
XMQ,/$P\]+XDOC3#SE2-`I.````!40'?X;5HI41#\X,>,Z/Q.#-$1:AHI41#\X
XM,>4Z,3 at R1D-$1:AET#$Y````%1`=_AMDJ'-#4V,S at C.#$Y,3HAY#II03A!1E
XM)$8J$S at C14+?/2T])1<E-$:*5[@*.@````P#$OP1G8FX#SL````,`Q?\$9V)
XM$N(1$A"8#+@````-`QW[%)IA'2#`$#T````@&PS^#QW!W at R]X=P0T""Y````
XM%`\=_A1>(P6AWSSC+#OSL[2DOB/#H2-E$!`K9T#0(#\````4#QW^'#=K/21D
XM(:/BP[2DI*2CPL/.(L\]$%KB-\`Y0````!P7'?X<I]&ZT8959*-4:31J,VLD
XM5#835%434W?F4Y,34W,C5%0D5#1#:51G=&64UVA&TYS0A<`[00```!P9'?\<
XML]CUUQ$];R(]0R33(TTR0](T31)4T28]#S9+\X2BE).DC]1_/$8M!%\]%#/2
XM4O/303U4R#!"````'!4=_!S0C35(5$I#2T+D3$%+0DE3U$TFU$1H-*4DM13$
XM'D30C$%+0DE3U$T7P"=#````&Q4?_1VHO'1D9))4TTT_33XDT^A-7B35]-5-
XM5,%4HF1TC+=`R#!$````'A<=_!S1G3=(5DI42U-,0TT$)-$R]-%!32,>=-*.
XM+104T$+TQ#2E1(9=-]&0N!%%````&1(=_!S<ZL+\4>M,+8#8$$8````8$1W\
XM'`*.K?`2'M30P"Y'````'!4?_1VGO0=&54DT2R--/TT^)-/E34])S1/B%-`_
XM),,TLT2C5)-D97T+=- at .2````!T4'?P<[$P#+MQ`:`E)````#`0=_!S=P!!*
XM````%`T>_AR>VV=U0<*E9-A!2P```!T6'?P<0!"-04Q"2T-*1$E%2$9'1T9(
XM14E$2D0[0UI":D$Q27)89$AE1U962$9(54E%2D1*4TM#],0DU!35N`Q,````
XM%@\=_!SLY+T at R#=-````)!L=_!SB;2GB$]`A?B([(G)),G,Y(W\T<S?T-R1_
XM1%-'4U)75#-7XF,R9^)S$G?BA(?70- at S3@```!T4'?P<]KJF$Z84EO(Y8DAC
XM.&\T=O1&939E168U;V1&]T-H,VA";Y,FE!:C%JK[8,`U3P```!\:'_X=IM3-
XM#1M665A73$5<5$T4/B330>=-6=-?%--"714TT41<55I76%E66]'0S4:@R!]0
XM````&Q0=_!S1;31(4TI"2T'E3(M!2E%(8M0])>Q-,,`^40```!\:(_X=IM3-
XM#1M665A76E5<5$T4/B330>A-5/%--"1S9#1D1$5D)51T%'58E5:]'0T=)A3:
XM39797940V#-2````&Q4=_!S8`25(5$I#2T+D3$%+0DI22&,!-`$EV$9'1S='
XM1O2$7TE$]*0TM"],04U`P"Y3````%Q(?_AUGFV-D0X,SHC+2XSTDTDT7R:N:
XMJ=!M%-+TX])=`A.S%),U8VN78, at -5````!P9'?\<`E[=M*#8%U4````=%![\
XM'.`833\4LS235'-T5(K&<, at T5@```!P9'?\<]-4^(4TS/TT31=`U],-^)*.?
XM2#M'+/1CT$4M'T0])#+30CU/,BU4$M;UV#O(7U<````G)!W_'$Q-!_Q<,4L1
XM/"+B2B(Z,T at R.31((T at T2"0X-4<D.";T8T1C9&)C8W128V*$0V1#A$)T0Y\T
XM*#0J0R at S.D(I0COB,BHR+0,1LR'1,1PA+17%T4T%TCT3@,!%6````!P9'?\<
XM%-(S701$Q&2SA).4A*1DQ%/1-$T4)--!/5;777]-=M8Q/4,DTD,]%%/0-DLX
XM24A8.D<\14Q3314CTT%--<@Q60```!P;'0`<7505U#-=(U3115T#=;.4I)63
XMM73$<]!5/21$TT,]11/603UVV%VNM+"P,EH````9%!W^'!_'PTPUPTPUPTPT
XMPUPTPUPTPTPUPTPUPTPTPUPTPUPTPTPUPTPUPTP]P+@,6P````P(*?T>S^UE
XMS+@,70````P(*0`>S.UES]`37@```!4.!_T<8K26<R-30S-C$X/@"V`````,
XM`PC\'&DM_]`>80```!0.$OX11FH\(V,AD_LX9*+!1FXH=5'1D3)C,- at A8@``
XM`!4/'?T<ZCPS5#&#TE111S$X?EEH,4<Q5%'2,8,S1=`;8P```!(.$OX15GE+
XM)%,3D1.N4\.SD213.TEF,-`@9````!4/'?X<SJ-%,S at 3+15%\3AN67 at Q-T%4
XM4M.!-%,PT!QE````$@X2_A%5>%HT1"-R(H`RXL.SD213+#IF,,`39@````T.
XM'0`<AG=H4ZYC?[?M(W#`*F<````5$AO_$61$31/2,T-^0V-S0XJ)@Q2O/3M]
XM!-(CE!XCQZ0593T5R(78%&@````5#AW]'.H[,U,Q at M%5AV[(,+@,:0````H$
XM'?X<Q-'L4X`1:@````L*)0,<;C34Z<5)0813V"QK````%`\=_1SJ/#=!-D(U
XM0S1$,T4R1C%'AY91-E(U0T0U-#5#-D(W,C=!.$"("6P````*`QW]'-[(&&T`
XM```B&Q+]$3-F8S&3DM$;%69HA(;LDY/8$FX````5#A+]$3-3,8+158=NR##0
XM'V\````5$A+_$6:J?%1D-(0CHQY#QZ03HR2$-&1<>J9 at V"%P````%0\:_1$S
XM5#&#TE111S$X?EEH,49!5%'2,8,S1><\T"%Q````%0\:_A%4,S at 3+15%%&03
XMAN67 at Q-T%44M.!-%,^?#V!%R````#@D2_1$S8G&S5/1>HV#`&G,````0#1+_
XM$3=:*Q1B'SI*=X:*2_2773*E<]`3=`````\,&/\7/E-OM.LY-!24A5+8$74`
XM```5#A+]$>TX9@%1D3)C,-@>=@```!,0$O\1\Z,3DB\X,^(V->(T-_,CGR(J
XM,2OT8- at Y=P```!P9$O\1\W5V<A)S$V(38B-3$U,O-3(E,S0C,S3S,S,S4C-"
XM,F,B4R)O,34Q-_(2<A*%=92#4-`I>````!,2$@`1$Z,D at T1C8U.#0Y,CMM0!
XM`P$4UK,CDT*30W-C4X,SHQ2DV"QY````$Q`:_Q'SH_$X,D<S\V-34F-#<D-S
XM,H,CDB.3$K(2LA'?/?+?+3AY:EO0&'H````2#A+_$1XME)2CI)2CHZ24HZ24
XMD"R8"?8````5%`,`#-+@$:P````5#@7]&SP=^'?_N'[@\- at +JP```!4,!/P<
XMXT1`T!#^````(!L<_AK>PL`XZM+`.,!4T@```"`;'/X7I]4G+1*RL=(9'4%Q
XMU!$5'4$Q0=,4$QTQ82'2%Q$=(9+1&BT!LOP<*QT"H=$I'2$1<=(2%ATQ,4'3
XM%!,=05$1U!<=09'2&RLM$G+5>L`??@```"`;"?X.5=,3C2$KT!%%2UA86T5!
XM'0LATH,=-5#`3/L````J)1S^%]HJ+82$UDA-<Y/72$UDA-9(37.3UTA-9(36
XM2$USD]=(36](3:2$VCD]I(3:2$VDA-HY/:2$VDA-I(3:.3VDA-I(3:*BR$S]
XM````*B4<_A<J+:2$VDA-HY/:2$VDA-I(3:.3VDA-I(3:2$VCD]I(3:](362$
XMUSD]=(362$UDA-<Y/72$UDA-9(37.3UTA-9(38*BVM`[O0```!(+)?T<-5)!
XM,U$B9?5F$3DI.2HI-R(D,R,D,34AXC4Q)3$T(R,T(B<Y*BDY*3$6;U5B(5,Q
XM0E4PF`E?````%14#`/?5B`E\````#`(I^Q[9&`K\````&105_A0/(,`K/```
XM`"`9&/T5V3UTUDUDUDUDUDUDUDUDUDUO3:3:3:3:3:3:3:3:3:3:3:/(*SX`
XM```@&1C]%3VDVDVDVDVDVDVDVDVDVDVO3636363636363636363637/9R"Q<
XM````%1`I_A[RTN(M+B+2XBTN(M+RTN(M+B+2XBTO+2XBTN(M+B+2XBTBTA#0
XM&WL````5#BG]'J2#H[*^P[*SDX33T\+.P\+#P]38&WT````5#BG]'DT]/"SL
XM/"P\/4 at Z.ROL.RLY.$K`-[L````@&1W\'-1=8D'3-AT3<=$I'#D<-SLW/#@=
X<#SV.(]6]3C/8XSU'H5FA0D6!45=#43,XA'6`]4'3
X`
Xend
END_OF_FILE
if test 5603 -ne `wc -c <'fonts.lj/H.10.pk.UU'`; then
echo shar: \"'fonts.lj/H.10.pk.UU'\" unpacked with wrong size!
fi
# end of 'fonts.lj/H.10.pk.UU'
fi
if test -f 'fonts.lj/S.6.pk.UU' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'fonts.lj/S.6.pk.UU'\"
else
echo shar: Extracting \"'fonts.lj/S.6.pk.UU'\" \(3842 characters\)
sed "s/^X//" >'fonts.lj/S.6.pk.UU' <<'END_OF_FILE'
Xtable
X !"#$%&'()*+,-./0123456789:;<=>?
X at ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_
Xbegin 644 fonts.lj/S.6.pk
XM]UD``&``````````!":N``0FKL`I(0```!,5&0`2UQUB_5+5\M7RU?+5\G*2
XM<X)Q$H*O)BSR0M'R(M/TU?+`T"0D````(AH+_0I%A6E),S4D0Q-G=864E)25
XMA7=C$T0E,SE)985`D!HE````&Q04_0^2ITI?:E2G+;OMLJ=*7VI4IRG0("8`
XM```;$PO]"C5T*#83)10S5E)T8H-BA%)V4D052#8U=- at A*@```!L/$/L-*UDQ
XM-S,U-3,W,3E;\[63$W,S4U,S<Q.5LK@)+0```!L1`OP&UL`?/````!@2$OT.
XMTRT4Q,3$Q,3$STTTTTTTTTTTTTTTTR#('ST````8$A+]#BTTTTTTTTTTTTTT
XMT_3$Q,3$Q,3$T2TPR!9#````%1(1_Q#]1$<T2"1(/S22YS2_J+`C1````!L5
XM$?T0D\7UPWPB%,$B6S-:)%DU6"='*%8I12I3_''>T"9(````&A01_1!VO'1D
XM5(0TI",R(C,>-#8X,B(T$\,DI#2$5&1\MG#0'$L````7$Q'^$(\P$>)=?/(4
XMOR-))%CR5'\G0_<YJ!9.````%A(1_A#=^S*Z*";BL6*"NO*SW=@/4````!@6
XM$?\0`N[#2$/Z*L at F4@```!@2$?T0_4)8,U at D5S17)58F7171-2<V)B<U*#,X
XM,](M,=00T!93````#@H-_ at I41R,R\39'1F5U5S550M`85````!H4$?T0)(0W
XM1QDK0R-"]V`1Z$WZ4,`950```!@2$?T03ZOB2Z;1+B0T-"T6J^)+^D#0'U<`
XM```:%!']$%^M](1$230UXA0T-#44%5`0F`$.)-^ET"-8````&!01_A!HK'1D
XM5(0^-*0SHT2$4X,R(V,D,F(Y9^(71Q"X(UD````=%1']$-[QQS6B5))E at G1R
XMA5.50J4SM2+!02PGP_7%.=`F6@```!,/$?X099AB4U)C-%,U4D<3/"-D$X,3
XM at A.#$X(C<S-3679 at P"1<````&Q$9_!'2+02UI;2TM:6EP]%=%=%=%-)-%=%=
XM%-(@-P%0R"->````&Q$9_!$M)-%=%=%-)-%=%=%=$\6EI;2TM:6TT"!&`5"X
XM"5\````,#0,`^]O0'V$````7$0O^"E6I(C-$$B-C$B-E(W4C at S-T0T98)354
XMT"5B````%`\6_Q"5B&,S4E/T)C0A="&$(H\R at N(B at R-C+#(77RSB+=`;8P``
XM`!,/$/\*-5(G,B at R$T,2(7(2M+\\Y"SB)=`<9````!`-$?X0='A#HJ2DGV4R
XM0_-#+B-2,T)89E#0%64````/"@O^"E4W(V-X&1."@U$H11#0'68````1"Q;^
XM$'\I1E4A-"@W-^(WXCA(1W5V62960\`=9P```!,.$/X*)"0](D-2-#0T/C,T
XM,S0U)#OSKSLDX")H````$0P1_A`#@/P<XX8P9P=P;_[_[_[@S!S!C#CG!^`X
XM`-`2:0````X("_X*,EXS3S4R4B%R0^`=:@```!4/"_X*&'!SX._!\P/P#_@<
XM>#AS<.W!^8'@T!YK````%0\1_A`_7$P\3#Q,\[66 at Q1C,T1$)&,4<R*$P!]L
XM````%1`0_ at I"4FXS0U\T-C0R(C-!(M$G)#\\\]`M$- at 9;0```!(-"_X*974_
XM(U,C0R-#,S-#(U=6=)#0'&X````1"A;^$&\H1&,Q/B(W96-C-N,W971V1&12
XMT!AO````$@T+_ at I5:$-#(V(C9O8Q-B,E-'=5P!QP````%1`+_ at H]`M$=1"$J
XM,2KR(I,C at C-S-&)20-`><0```!(.$/X*=(=C,T-20U/R-3,U)#0SI#%&\Z\[
XM+-`7<@```!0/"_X*6CPM$T-34DXC4U)#:)2`P!-S````$0X+_ at H[+!TD._*^
XM(Z/"<-`:=````!0."_X*,U(F1B,U(U)#4O,U)/-"9X5`T"5U````%1`6_A"N
XM(MXBJ5PS,C,30C,30D7T)&0C,C,B-+::\MXBD-`G=@```!81$/\*))(6=213
XM9#.#(Y,3I=,!!,6R$Z(D at D1B8R(2=Q&D$,`K=P```!<2%OX0SRTN,H-",B8R
XM-B,B-2,R0D,B4O,S)"0S(R5!(C>J;1+2XRG0('@````6$0O_"C*2/RHQ)24A
XM)31%-"$T-"$S0C,!`]5#-:@)>0````D"&?P2U]`3>@```!`*&?T2<U)^@G)3
XMHIZ"DJ/8$WL````0"AG]$CHIZ"DJ-2?H)R4WL!A\````&Q,._0PTL1B1&75%
XM17D1F!&T!&V at B`U]````&Q,._0RMTZW3K=@9?@```!`*&?T2\IXBGB*>(IXB
XMGB*>(IXBDI'`)'\````;%!']$"<G/5$U15]R=/TUT3$M$B/#,Z-49'4EJ-%-
XM3RG`$J$````2#!;^$&&BADH3(B/M-26@%*(````B&@K]"KD;[ROB/9NBO/*]
XM%<`2HP```!(,%OX07M,E,B(QI&@K%:`4I````"(9"OP*0;SRNRNM<BO?*]&Y
XMV!BF````$@P,_ at LJ2&8A5"-2)79D42)3=4 at JT!BH````$@P,_ at NBA&9%$B4V
XM]B%4(U(E=UDPN`FP````#`T#`!/;V!"U````&!`/_0[J+%HQ1D/&A-`0M@``
XM`!@0#_T.2&PT9!.EZL+0&K<````8#A3\#VA*-).CLK._+`(/P\+#P\2Z:,`>
XMN@```!L1%/P/:TT#3#T#T2T3T>4M(](M(](])-'0:\@>NP```!L1%/P/MM#1
XM32/2/2+2/ETBT3T2T3T#Q#T$ML`AO@```!L1&?P1:TT#3#T#T2T3T>0M(](M
XM(](])-'0:P./T\@AOP```!L1&?P1MM#132/2/2+2/DTBT3T2T3T#Q#T$L#W]
XM,;@,R````!@0"/T)U.7"()`0S````!(*#/T+-%8X'2^/`+,T````B&A;]
XM$(K1T:6%=,13TS,]4R+7(3UUY=E=<Q+7(CU3,],U3$=86M'1J-`1S@```!$)
XM%OT007XS1QD73M,PP!S/````$0D6_1!!?B-'&1=.(W'4%^(SU1$3$4\W%-`<
XMU0```!`+%OT0 at H3V53$6XC at HXS@HXC81-?5D at H#0)=@````2#!3^$H\F9(,S
XM0B-1\S(6(Q;R(F$R;Q(Y,Q1")#,X1F*`P#;9````'A at 6_1"6TZQ&23HW+1)2
XMTR,G="(F)"0A)BQ.12T"$E)A0B)B05(R95)2T2<Z.49,K3:0R`S:````$PT/
XM_0[?ZIWPN`O@````&PD9]!'<[(6X#.$````;"1GT$^R$78#`%.(````;"AGT
XM$8)D5%-D5&-O1>TD8-`5XP```!L+&_L3?H1D9%4V4X:%A(2.A, at 3Y````!L*
XM&?03[21_1S='1SA'2""X#/`````;"AGZ$=SLAD"@"_$````;"AGZ$VZYT<@2
XM\@```!L+&?L1.$A82$CTCTCM)- at 5\P```!L*&_03Z$='1T=G-&-%147H1L`3
XM]````!L+&?L3?M)/9&]&1D551SAH"?4````;!!OT$]68"?8````B'@+^!]+`
XM(?L````B&A#]#:'<+:+:+:UEV#367:3;/<UWUH+<+<+;'2`("?P````3#0_]
XM#M+`(?T````B&A#]#=(=LMPMPHUGV-M-M==- at TUVUMHMHMHMP:"P#_X````;
X,$Q;]$YZ2C:YY*-KU
X`
Xend
END_OF_FILE
if test 3842 -ne `wc -c <'fonts.lj/S.6.pk.UU'`; then
echo shar: \"'fonts.lj/S.6.pk.UU'\" unpacked with wrong size!
fi
# end of 'fonts.lj/S.6.pk.UU'
fi
if test -f 'fonts.lj/S.7.pk.UU' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'fonts.lj/S.7.pk.UU'\"
else
echo shar: Extracting \"'fonts.lj/S.7.pk.UU'\" \(4268 characters\)
sed "s/^X//" >'fonts.lj/S.7.pk.UU' <<'END_OF_FILE'
Xtable
X !"#$%&'()*+,-./0123456789:;<=>?
X at ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_
Xbegin 644 fonts.lj/S.7.pk
XM]UD``'``````````!":N``0FKL`M(0```!85'?\5UQUB_5+5XBU?+5\M7RU2
XM at I)SDF$2 at J)RKR8L\D+1XB(M/TU?+-`O)````"$;#?X,1+1C%')",F)1 at 2&"
XM,9$1HA&RXK.RL1*A$9$R at 2&!4F(R0G039+1`L!HE````&A44_A"AQSQ5Q3QQ
XM!"W at 0AQSQ5Q3QQK0*"8````:%`W^##2C(B-B06)!87(A891ADW&B<:-AE'&!
XM(F%Q0F%"8U2CV"$J````&A`0_`XL6C$X,S8U-#<R.6OTMI,C<T-38S.#$Z7"
XMN`DM````&A("_0?8P"0\````&A(4_1#3+130/0/03$Q-`]`]#TTSU#TTTTTT
XMTSU#TTTRR"0]````&A(4_1`M--,]0]------,]0]/TT#T#T$Q,30/0/031+3
XMR!1#````%1(4_Q/40X-/.A3B.QZS/*C`+40````;%A3^$Z\M9-1M,2/2(DT1
XM0]`53!8[%TH8.1HW*D8<-2Q$'1,QTD+7$!_`+T@````9%!3^$W;#0X.#4Z-"
XMPC/#(M$A,Q83;B.#8Q83;1,2T2(\,RPD.C4X.#0\9\`D2P```!<4%/\3GB+4
XM]-(131\2/0XA0[\6.1=(\8-QE&&C4Y0F:+`:3@```!83%/\3'\4N(<,0(1L6
XM_!8;$"#B'%VPR`]0````&184_Q/9[4,Z,Y20R"M2````&!,4_A/5([,DLC2Q
XM0[)#L42A5-,]3SU!U!H6&Q4;)!PC'",<,M0=4=`64P````T*$/X,53)!(G)^
XM0I.$@Y\H%R30&E0````9%!3^$R2$-U82-#,S8B)A^"$@$NP]M,`H50```!@3
XM%/X32\XCT7DR,C4D-",T-#'C-34Q-#0S)#0E,C(Y?1XCRT#0)%<````9%!3^
XM$UO>(X131.4C0S-20S)C,R-S(R*3$Q+&`2XCVT#0*E@````8%13_$W?#4X.3
XM4[-"TCXSTS+20[-?*R<I)!,I(R09%#,G(RXA9V'(+5D````<%A3^$P'QUR32
XM$ST11,)3P62B<Z&3@:1QLV'$4=`T'10BTC(=-M1-;RK`+5H````2#Q3^$V61
XM47%Q4V)#<='R9#)"0A(R81(B at B\I(B at B*2(I%!@D)B8D*%?`)EP````:$AO]
XM$],M%,30/03$Q-`]!,]---,]------,]----, at 30%\@E7@```!H2&_T3+333
XM33/3333333/333],30/03$Q-`]!,31(%T!>X"5\````/#@,`^M[@)&$````6
XM$0W^#`/`!A!&#"8#)@&3`-&`:8`XP!@@#!@.!!FA\&#`+6(````3$!K_$Z2B
XM08%B87)1 at E&!48)?$V88%>,9(_&20G)2<5$A0F$U?QT>,=+`(F,````1$!,`
XM#$1Q)V$4(T$A<4$1 at B'!(<XA$=#B+1XAT>,6T"1D````#PL4_A-D8C'C0J.$
XM8A-!0C)"+R82)2'R83%2,5%1,7-0T!9E````#@D-_0Q%,F%R8G<B?QCR at D$U
XM(-`A9@````\,&O\3CQM'$38:&AHI\J&N,I.O*CI96CKR83�-`B9P```!$-
XM$_\,(D0A$A(R$2)3(U,B8O,F+C(F(O)BORKB*Q3@)&@````0"Q3^$P.`B#&,
XM,09 at S!L#8&___V!L#8,P9 at C#&,$0'`#@%&D````,!PW^#!@P88,&&#!CAQ9G
XM`.`?:@```!,.#?X,&#ACX9,,@#0`X`/X&'!@Q8,6#'`RP'#0)6L````4#Q3^
XM$S,!`@$/+3WRT]\M.THA.",G)"8F)"<C*"(J(2HPT"1L````%`\3_ at Q.(F).
XM,F)"8E\F(A(E,A%#$2$2(4,R\LXBT0$`X!YM````$0T-_ at QX&,#&!F!C`Q at P
XMP0P888,8&8&P#@``T"%N````#PP:_Q-_&U4A1"DIXBL;]T*?*>(J.DE96CHF
XM$Q at TT!MO````$`P-_ at QC<C)"43)BXA)T]R(6(R45$R=%T"!P````$P\-_ at PM
XM$!(Q,5%!,:$QDB*?$RCR,G)"<D-A85#0(W$````1#1/^#'2"(F%14E+B,F+R
XM)B,F%"44(1,5(C;RKB*QP-`;<@```!,/#?X,:4LR0F)B3B)R/R<D)B86&!,J
XM2,`5<P````\-#?X,*QT4%A4;\K\;XBKR at .`?=````!(.#?\,.`4P-,!C`9@$
XM8!&`3`(P",!#`@80!X#`,G4````4$!K^$[\='C'1'062(2)203(R05$Q45+Q
XM)15%%2(5%2(D%",D$R4B$CAL\='C&M`Q=@```!41$_\,([$1(I%3<7)A at E&B
XM0:(QPA'3`0(!$]$2P2.A0I%2 at 7)Q<C$ADB$1LR#`-7<````6$AK_$]#QT^,=
XM,8-A41$B44(1(E%2,D%B(E%A\R46$B46$_)145)!07(A,I?1\=/C&M`A>```
XM`!42#0`,,=$QPO(0$!XA%R8_8F$A8E$R-2)&)E1#4*@)>0````H"'?T5W]`3
XM>@```!$+'?X5 at V*.HG-4HZZBHK/8$WL````1"QW^%4HZZBHK-BCJ)S5'T!A\
XM````&A0/_ at TTP1BA&G5&17H1J!'$!]`J>`U]````&A00_ at Z@W*#<H-@<?@``
XM`!$+'?X5XBKB*N(JXBKB*O*N(JXBKB*O*A#`*W\````:%!3^$S1D2"@31D5D
XM9/<G3]-=$Q+1(CPS.C4J)D9(-#LR/0;234\IP!>A````$0P:_A-AHI1Q$A%"
XM(B(10D'M926@%*(````A&PK^"[KQP!P!/;O!OAOO%<`7HP```!$,&OX37M8E
XM%"01(B(D$2$722L5H!2D````(1H*_0M/&]&]&\V2&_&_\;K8'*8````1#0[_
XM#2M)9R(V(T0E0O)V5"(T0B-F=)*PT!RH````$0T._PVRE'94(D-")%;W(D4D
XM-"5")VE+(+@)L`````\.`P`6WM at 0M0```!80$?X0["Q:,49#QV70$+8````6
XM$!'^$%9\-&03I>S"T!JW````%@X4_1!H2C.CH[*SORP"#\/"P\/#RFC`'[H`
XM```:$A3]$&Q-$ST3T3TBTCTN4M,],M,],],]/1;`R!^[````&A(4_1#&T=,]
XM,],],M,^73+2/2+2/1/1,]%,8,`BO@```!H2&_T3;$T3/1/1/2+2/2Y2TSTR
XMTSTSTST]%L!._4#((K\````:$AO]$\;1TSTSTSTRTSY=,M(](M(]$]$ST4P%
XM/]00N`S(````%A`)_ at K4YL(@D!',````$0L._ at U#9S^1V/&3=C3`-\T````A
XM&QK^$Z?4T,5UD]`W/2-3U#0M8C/6,BV"$]A>7:78,2V"(]8S+6)#U#4](W/0
XM.5=<T-1ZP`_.````#PH:_A-.4DU^U$)`P!3/````#PH:_A-.4DKE0M7D)-?D
XM0D#0']4````.#!K^$X.1(7(2<2)QKD*>4IY"H7(A<A)Q(9.`X"G8````$0L8
XM_A4!@#!^&<8\AI#6.\9XSQGG/,>8\QYCW&L)XSQCF'X,`8#`1]D````A&QK^
XM$Z?5O11TL[.2TB<M0E+6)"E5(R at 5)2(G%34A)R871QTDXV+2(28M`B)B<5(R
XM8E%20H5B4M0G+2*3L[1TT;U7H+@,V@```!4/$/X/U.N]0*@+X````!X*'?04
XMW.O%J`SA````'@H=]!;KQ5UPP!3B````'@H=]!2"9%147T7T551>U570%N,`
XM```>"Q_Z%FZ5]5545&4X9UA7]7Z5R!/D````'@H=]!;M561E;T?T='1T at J@,
XM\````!X+'?H4W.O&4)`+\0```!X+'?H6;JW2R!7R````'@L=^A0I2$A(2$=7
XM1_5T?M10V!;S````'@H?]!;I5O5E975S535%3U3I5<`6]````!X+'?H6;M16
XM1O5D961D9&1D<I`X"?4````>!1_T%M>X"?8````A(`$`"-3`(?L````A&Q+^
XM#Z\MLMLMO6?84ME-A-P]T]P]W7C5KRW?+2#8"OP````5#Q#^#P\@P"']````
XM(1L2_ at _2\MTMTIUGV-TMU-Q-D]D]HUUXU=ORV_*@L`_^````&A06_A2>DIW.
X%>2G<]?;2
X`
Xend
END_OF_FILE
if test 4268 -ne `wc -c <'fonts.lj/S.7.pk.UU'`; then
echo shar: \"'fonts.lj/S.7.pk.UU'\" unpacked with wrong size!
fi
# end of 'fonts.lj/S.7.pk.UU'
fi
if test -f 'fonts.lj/S.8.pk.UU' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'fonts.lj/S.8.pk.UU'\"
else
echo shar: Extracting \"'fonts.lj/S.8.pk.UU'\" \(4648 characters\)
sed "s/^X//" >'fonts.lj/S.8.pk.UU' <<'END_OF_FILE'
Xtable
X !"#$%&'()*+,-./0123456789:;<=>?
X at ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_
Xbegin 644 fonts.lj/S.8.pk
XM]UD``(``````````!":N``0FKL`Z(0```!H:(?\8W!VR_:+:\MKRVO+:\MKR
XMVO*API/"@2*RLJ+0*2T"@M(G+2)BTS4M3R0M;R(MCTVO+2#0-"0````C'@[^
XM#47%<B2#05%C8G$QDD&A$J(APL3"P]+3PL3"P2*B$:%"D3%R8V%10X0B=<5`
XMH!4E````&Q84_A&4MO:V0$S1!,2V]K9)T"PF````&Q8._ at U$LR,4<D)B46&"
XM,6&B$F&D<;*!PG&T8:(2<9$R88%28D)T5+/8)2H````;$!+[$"Q:,3 at S-C4E
XM-C0H,CEK]+:3(W-"<E-38S.#$Z7"N`DM````&Q0"_0C<P"@\````&Q06_1+5
XM+33132/2/2313132/2/2]-4]8]5-5-5-4]8]5-5-4L at H/0```!L4%OT2+535
XM35/6/5353535/6/5]-(](])-%-%-(](])-%-,M7(%4,````6$Q?_%M5#DT\[
XM%.(\'M$ST*G`,40````=&!?^%K\MCTUO$CU/%#TA8]`F3!@[*$H:.2I('#<=
XM!&'1-1TD0=,S'40MD0(PP#9(````&Q87_A:&T28J.#<Z-3PT+1(_/1,3TV,8
XM$VXCHV,8$VTS$M,B/1,RT20\-3HW.#HF+1:`P"Q+````&!47_Q:AUN(]1=/Q
XM$](A31\3/0(TSQ4[)4KQ<Y)TCQDW*48;-3HS=9"P&TX````8%1?_%A_'+B'%
XM$"CQL8_!CQL0/.(<??#(#U`````:%Q?_%MKM<SLSE9#(,E(````9%!?^%M8C
XMPR3",]`4/"-,%#P5/434/5/434+5'5'5'!4=`?0=`C'0(QT#+5'6$-`:4P``
XM``T,$?\-9D)1(I*AKB*CHZ2DH[*AHH-`P"!4````&Q87_A8EA3=G$S-#-'(R
XM8G(B<9(2U"$=;M$]*U#0+U4````9%!?^%EO>(P$(HR,3<D,R4E-",U-#'D-C
XM4Q-30S)30E)#,G,C$Z@!'B/;0,`H5P```!L6%_X6:]+B.48U3G(U-#4T-"8T
XM,S<D,RDC,BLQ,2T7U.(]*U#`+E@````9%!?^%FBC8W*B4L(SPQY#T3$M$B\\
XM,RPE\J)R at D$R at C)!@4,R8C+B%F80R#%9````'1 at 7_A8",=DDU!,],432%3T1
XM9-`7/!A**3H:2"LX'$8M`V'2\T'4\R'6]-CRL,`R6@```!,0%_X69I%2<8%1
XMH4."(Y+BT293)"42(Q at 1(AHQ*B'RLA*B(;(AHC*148%Q4I6`4"I<````&Q0>
XM_15L)J1H1I-I1H1H1H1I-I1H]&Q&PVQ&Q&Q&Q&PVQ&Q&PM*"2"E>````&Q0>
XM_14EU%U%TUU%U%U%U%TUU%WT646C6D6464646C6D646RU7.H"5\````1$0,`
XM^=C@*&$````7$@[^#0?``PP1`02`8F`8L`,L`-,`.(`.(`,,`<,`L&#$C\#`
XMP#9B````%!,=_Q;$T"0:)BD8&!DF&28:)AH7&2859Q58&A<:)>,;)/*B4I)A
XM$7)A,5)Q19\=3C'5P"9C````$A(4``U4 at 3=Q)"-1(G)!$I%!$:$QT1(='B$1
XMTN(M/B'3XQ;0*60````0#1?^%G2!0E%A0K&RPK.SI((B85)!8C)Q+R at 2)R+Q
XM at 3\F%2,G1]`490````X*#OX-53-B?R>"Y"D:)"-2T"!F````$`T=_A:1OQU'
XM9BH;*BKRKRKF*SM*:6H\\F(QDT#0)&<````2#Q3_#2-4(3$B,A$S81$R<C-B
XMXD)RXS)R/R<M\LXBT4#0+F@````0#1?^%G2"(F)!4E%184)B,7(B<B)Q+R<B
XMLB<AXB<B\F(R4D)184)B(H.`T!9I````#`@._ at U!;B)>(E\F)#4T$A,30^`D
XM:@```!00#OX-"`X8/AA,&8`R`#P`/\`P<&`P8#%@,6`RP#+`',`J:P```!40
XM%_X60](M$]'RT3T?+2\M$]'RT$L2*A,I%2<6)A<E*",I(BI<(,`F;````!41
XM%/X-48%N(G)>,G)2<F\G(Q(F,Q%$$2(2(5,S\M'B+2'3T"%M````$0\._ at T4
XMD?,H(R<C*"/R<D)B0F)24F)"<B*"$Y/`T")N````$`T=_Q:1OQQ6(40JY"SW
XM4J*O*N(K.SM*:EL[)A080]`<;P```!$-#OX-57)!47$Q at A*$XI/Y(2<B)B0D
XM)E;`)'`````4$@[_#4T3TB%!06%1,6%A,<XA0;)!L5&B4:)2 at F*"<5#0(W$`
XM```2#A3^#82",F)17R8N(R<O(G(R8D)A0A$R4B1O*^(L'=`=<@```!01#O\-
XM:UPS0H)B8G)>(H)/*"87)R89%"M*P!IS````$!`._PU,/0(5&!87%QT?+1\=
XM'B+0\I#0('0````3$0[_#3.1,2)S\1,H-"@5XBD4\I%2 at 7%Q at E&U8,`P=0``
XM`!41'?X6P=+C'2XQT&@R$R4D%",E%1(E%DXF%D]18A)14C%10E(A,I;0\=+C
XM&\`U=@```!83%/\-(]`1$BL2$RD7-QDF&C0<(QT#$=(],M4M,](1/0$RP4.A
XM8I%S<9(Q(;(A$=`RP#EW````%Q4=_Q;2'6XQUN,:-A83$B45/Q$R46-"07%?
XM)1<5)185)1<5)186)148)!0:(A,M!M3QUN,<P"IX````%A0._PTQT1,=$_$=
XM,Y%Q'Q at G$1 at F(1 at 7$A<F(A8U(S(Q(C5B9T1&F`EY````"@(A_!C8T!=Z````
XM$@TA_AB4 at J*NHJ*B=-+"SJ+"PL38%WL````2#2'^&$TL+.HL+"Q(*BKJ*BHG
XM2=`:?````!L6$?X/1-$HL1JE1(2$1:H1N"'4"@`N6`U]````&Q82_A"&WH;>
XMAM@??@```!(-(?X8\LXBSB+.(LXBSB+/+.(LXBSB+.(L+!#`-7\````;%A?^
XM%D1D:"@S1D,B9&(3<G6"A.+573,2TR(]$S+1)#PU.C<X.38[-#T#(])M3TUB
XMH,`5H0```!(,'?T68:*4=E$B(2(R,NV5)9`7H@```",>#/X-K1M/&T&T$]*P
XM&R&R\;(6P!6C````$@P=_19>V24C(R(2(A5G22L5H!>D````(QT,_0U1P/'`
XM'`&_WR'"'"\<(;S8(*8````2#Q#_#RU+:2)')#8E1"="\I9T(E1"0V(D=I2R
XMT-`@J````!(/$/\/TK26=")C0D12)';Y(D<D128T)T(I:TT at J`FP````$1$#
XM`!G8V!.U````&!,3_A+M(!%=,3LS1T:Z=M`3M@```!@3$_X29ZMD=#.S$]7M
XM`1+`([<````8$1;]$HEK1,/0/0/1\M$]$M(!?2/2\M(](](])-*XD,`CN@``
XM`!L4%OT2C&T432/3/3/4\M0]3C+5/5\M4]4]4]5-71C`R".[````&Q06_1+(
XMT=5-4]4]4]7RU3X]4M0_U"U#TSTSTD31;(#`)KX````;%![]%8QM%$TCTSTS
XMU/+4/4XRU3U?+5/5/5/535T8P&S]8, at FOP```!L4'OT5R-'535/5/5/5\M4^
XM/5+4/]0M0],],])$T6P'/]80N`S(````&!,)_ at O:YL4 at T!+,````$@T._ at Y%
XM:3^Q!0\;.65`P#O-````(QX=_A:XU\TTA,3$D],W/5-3US0MDC/9,BVR$]M>
XM;=7;,2VR(]DS+9)#US4]4W/3.4Q,2$T\UXO`#\X````0#!W^%EYR7;[54E#`
XM%,\````0#!W^%EY27;Y5+9Y27;Y5)=`=U0````\.'?X6HZ$Q^"(O@<Y"OF*^
XM0L\8\B*!,:. at X#38````$@T;_A@`8`,#^#&"#C!YA\@RP9X<\,>&/#'CCQAX
XMP\8></,&F"?#/!CA at Q@_ at 8`,`,!.V0```",>'?X6QMC--670/#LM,I+5)RUR
XM7RV2,K9R(I%B8A*18W2"<82!U$XW+4(2<=,B)R at 6(R<8%20H%A8E*58G+5*2
XMTRL\/05ET\V&P- at -V@```!81$OX1`F[=`F"H"^`````?"B'S%]SL!:@,X0``
XM`!\*(?,9[`5=<,`7X@```!\+(?,7DG1D9&1E9&5D;U9&[75 at T!CC````'PPC
XM^AE^I?965E9%9CEI25A8]8ZER!;D````'PLA\QGM=71_5T=71U=(2$A)(*@,
XM\````!\+(?D7W.P&4)`+\0```!\+(?D9;K'2R!7R````'PPA^A<J24E)24E(
XM6$CB6.UUV!CS````'PLC\QGJ5_5U=(6%@V5%5&5?5>I6P!;T````'PPA^AE^
XMUUXF5T=71T='1T=(*B@)]0```!\%(_,9W+@)]@```",B`0`(UK`C^P```",>
XM%/X1ORSRS_+.RVS%+-3,30/1/0/1RXRI+1\M'RQ0F`K\````%A$2_A$/@+`C
XM_0```",>%/X1Q?+1+1\IRWS-$M%-!,T\T\XURWRL\L_RS_*PH`_^````&Q88
X+_A:NHJT>BBK1]?;1
X`
Xend
END_OF_FILE
if test 4648 -ne `wc -c <'fonts.lj/S.8.pk.UU'`; then
echo shar: \"'fonts.lj/S.8.pk.UU'\" unpacked with wrong size!
fi
# end of 'fonts.lj/S.8.pk.UU'
fi
if test -f 'lib/dt.fonts' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'lib/dt.fonts'\"
else
echo shar: Extracting \"'lib/dt.fonts'\" \(589 characters\)
sed "s/^X//" >'lib/dt.fonts' <<'END_OF_FILE'
X#@(#)dt.fonts 2.1 90/07/18
X# DO NOT CHANGE THE ORDER OF THE FIRST FOUR LINES - THESE ARE
X# THE DEFAULT TROFF FONTS IN POSITIONS 1-4. IN PARTICULAR, IF
X# SYMBOL ISN'T THE FOURTH ENTRY, BOXES, TABLES, AND OTHER FANCY
X# CHARACTERS DON'T WORK SHIT.
XR Times-Roman
XI Times-Italic
XB Times-Bold
XS Symbol
X.. BracketFont
XBB Bookman-Demi
XBI Times-BoldItalic
XBO Bookman-LightItalic
XBR Bookman-Light
XBX Bookman-DemiItalic
XC Courier
XCB Courier-Bold
XCO Courier-Oblique
XCX Courier-BoldOblique
XH Helvetica
XHB Helvetica-Bold
XHO Helvetica-Oblique
XHX Helvetica-BoldOblique
XPA Palatino-Roman
XPB Palatino-Bold
END_OF_FILE
if test 589 -ne `wc -c <'lib/dt.fonts'`; then
echo shar: \"'lib/dt.fonts'\" unpacked with wrong size!
fi
# end of 'lib/dt.fonts'
fi
if test -f 'lib/lj.fonts' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'lib/lj.fonts'\"
else
echo shar: Extracting \"'lib/lj.fonts'\" \(3578 characters\)
sed "s/^X//" >'lib/lj.fonts' <<'END_OF_FILE'
X#@(#)lj.fonts 2.1 90/07/18
X# four fields:
X#
X# troff-name english-name HPLJ-code-to-transmit flags
X#
X# \nnn sequences are only recognized in the HPLJ-code field.
X# Don't put in *any* extraneous spaces.
X#
X# The source flags is a string of characters up to 15 long,
X# where each character indicates where the font at a specific size
X# *is*, and the point sizes go from troff's lowest to highest.
X# The character mapping is:
X#
X# n: non existant - the lj driver will search "near" (+/- 4
X# points) the requested pointsize in the same font, trying
X# to find an existing pointsize that is "close".
X# If it can't find one, the driver will select by
X# characteristic the font that was requested, letting
X# the printer figure it out. Which *will* work provided
X# that the characteristics *here* and in the downloaded
X# font are reasonable.
X# b: builtin - font is selected by *characteristic*,
X# and is either a ROM font/size, or a manually downloaded
X# one. I suggest that if you manually download fonts,
X# you select fontid's > 1000. (see below)
X# s: there is a SFP at LIBDIR/lib/lj/<troffname>.<pointsize>.sfp
X# where troffname is troff's name for a font. Eg: "R".
X# And pointsize is troff's point size.
X# p: there is a TeX PK format font file at
X# LIBDIR/lib/lj/<troffname>.<pointsize>.pk.
X#
X# SFP and PK's are downloaded automatically by the LJ driver.
X#
X# They are assigned a LJ fontid calculated by:
X# "index of the font in this table" * 16 + "index of pointsize"
X# (6 is 0, 7 is 1, 36 is 14.)
X# They are selected by this fontid. (eg: it doesn't matter if the
X# font descriptor in a SFP has the correct characteristics or not)
X#
X# If the source string is too short or omitted, the missing point
X# sizes are assumed "non-existent", unless DOWNLOAD is undefined,
X# in which case they're assumed builtin.
X#
X# +----------------------------- Symbol set
X# | +---------------------- 0=fixed, 1=proport
X# | | +-------------------- 0=upright, 1=italics
X# | | | +----------------- stroke weight -7...7
X# | | | | +-------------- Typeface
X# | | | | |
X# | | | | | +----------- source flags...
X# | | | | | |
X# | | | | | v
X# | | | | | 678910 14 20 28
X# | | | | | 11 16 22 36
X# | | | | | 12 18 24
X# | | | | | |||||||||||||||
X# v v v v v vvvvvvvvvvvvvvv
XR Times-Roman \033(8U\033(s1p0s00b05T nnnnpnnnnnnnnnn
XI Times-Italic \033(8U\033(s1p1s-3b05T nnnnpnnnnnnnnnn
XB Times-Bold \033(8U\033(s1p0s03b05T nnnnpnnnnnnnnnn
XS Symbol \033(8M\033(s1p0s00b05T ppppppppppppppp
XBI Times-BoldItalic \033(8U\033(s1p1s03b05T nnnnnnnnnnnnnnn
XC Courier \033(8U\033(s0p0s00b03T nnnnbnbnnnnnnnn
XCI Courier-Italic \033(8U\033(s0p1s-3b03T nnnnbnbnnnnnnnn
XCB Courier-Bold \033(8U\033(s0p0s03b03T nnnnbnbnnnnnnnn
XL LinePrinter \033(8U\033(s0p0s00b00T nnnnnnnnnnnnnnn
XLI LinePrinter-Ital \033(8U\033(s0p1s-3b00T nnnnnnnnnnnnnnn
XLB LinePrinter-Bold \033(8U\033(s0p0s03b00T nnnnnnnnnnnnnnn
XH Helvetica-Roman \033(8U\033(s1p0s00b04T nnnnpnnnnnnnnnn
XHI Helvetica-Italic \033(8U\033(s1p1s-3b04T nnnnpnnnnnnnnnn
XHB Helvetica-Bold \033(8U\033(s1p0s03b04T nnnnnnnnnnnnnnn
END_OF_FILE
if test 3578 -ne `wc -c <'lib/lj.fonts'`; then
echo shar: \"'lib/lj.fonts'\" unpacked with wrong size!
fi
# end of 'lib/lj.fonts'
fi
if test -f 'lib/psrofflib.S' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'lib/psrofflib.S'\"
else
echo shar: Extracting \"'lib/psrofflib.S'\" \(5591 characters\)
sed "s/^X//" >'lib/psrofflib.S' <<'END_OF_FILE'
X# 2.2 90/08/10
X# This file controls psroff, you can insert additional printer
X# types here. These are eval'd *late* in processing, so that
X# you can insert $copies etc.
X#
X# Syntax:
X#
X# troff=<path to troff>
X# trofftype=[-F...|-T...]
X# name width=<width> t2arg=<troff2ps args> lparg=<lp command line> ptr=<ptr>
X# <repeat as many printers that you have>
X#
X# if troff omitted or assigned "", will use your PATH for troff.
X# if trofftype omitted or assigned "", will not use width table
X# directories, and "width" will be unused. This is not
X# recommended if you have printers with different character
X# widths. See trofftype assignment below.
X# name: name of config (eg: xt for ditroff->xtroff).
X# width: name of width files (eg: "ps" for %%FONTDIR%%/ps/ftXX).
X# ptr: default physical printer id (eg: "lp -d$ptr")
X#
X# Useful troff2ps args:
X# -T<type> driver name (defaults ps), available:
X# lj and dt.
X# -p<printer> printer-specific initializations - eg:
X# prefix for *.lib and *.fonts files.
X# (defaults to <type>). Should be set
X# *before* -T.
X# -d<device> x T <device> for ditroff drivers.
X# (defaults to alw)
X# -R<num> ditroff resolution to use. Default 300
X# -O<pageoffset> offset to be applied *bypassing* troff.
X# Default "-O.5i". Set to 0 to get this
X# perfectly offset-compatible with other
X# troffs. Most macro packages are set to
X# centre their default page layout in
X# (effectively) 7.5i, the adapters plus
X# the .5i default makes pages centre
X# by default in 8.5i (matter of taste).
X# -Y<vertoff> ditto, but vertical. Default 0.
X# Some postscript printers differ in location.
X#
X# lparg: how to get output to printer. Note the "-n$copies" and
X# -d$ptr. The $ptr is the psroff selected physical printer
X# id, and is what would be specified by psroff -d<printer>.
X# Default "ptr" is described above.
X#
X# Use single quotes for all strings that have embedded blanks or
X# other metacharacters. (This delays the variable replacement until
X# the correct point). Lines can be continued by prepending the
X# continuation lines with the "name" followed by whitespace.
X#
X# psroff will use the last assignments to troff and trofftype prior
X# to the matching name.
X
Xtroff=''
Xtrofftype='-T$width'
X
X# Uncomment the following if you're a Sun or Ultrix -F troff.
X# Check your manual pages. (Though some support -F without mentioning
X# it in their manual pages). The default is "-T" (Xenix and some others)
X#trofftype='-F%%FONTDIR%%/$width/ftXX'
X
X# psroff generating postscript directly.
Xps width=ps t2arg=-Tps lparg='| $LIBDIR/psxlate | rlp -d$ptr -n$copies'
Xps ptr='gate!AppleLaser'
X# Example optimizer entry.
Xops width=ps t2arg='-Tps -Z -W/usr/lib/font/ps'
Xops lparg='| $LIBDIR/psxlate | rlp -d$ptr -n$copies' ptr='gate!AppleLaser'
X# For testing new width tables without clobbering real one.
Xtps width=tps t2arg='-Tps -Z -W/usr/lib/font/tps'
Xtps lparg='| $LIBDIR/psxlate | rlp -d$ptr -n$copies' ptr='gate!AppleLaser'
X
X# System V'ish LJ printing to printer called laser.
X# (Does your lp filter script support -og? (8 bit, no filtering))
X
Xlj width=lj t2arg=-Tlj lparg='| lp -d$ptr -og -n$copies' ptr=laser
X
Xtlj width=lj t2arg=-Tlj lparg='| %%LIBDIR%%/lj2ps | rlp -d$ptr -n$copies'
Xtlj ptr='gate!AppleLaser'
X
X# Deskjet: Only difference is troff2ps library inclusions for deskjet.
X# (dt.lib has a slightly different prolog)
X
Xdj width=lj t2arg='-Tlj -pdj' lparg='| lp -d$ptr -og -n$copies' ptr=laser
X
X# DiTROFF test output (outputs ditroff on screen) using
X# supplied ps widths.
X
Xdt width=ps t2arg='-Tdt -ddjet' lparg="| cat"
X
X# Ditroff configurations:
X
X# Tpscript output (ditroff drivers, PS widths, dt libraries)
X
Xtp width=ps t2arg='-Tdt -R720 -dalw'
Xtp lparg='| /usr/lib/troff/tpscript | rlp -d$ptr -n$copies'
Xtp ptr=gate!AppleLaser
X
X# jetroff output (ditroff drivers, jt widths, jt libraries)
X# The jt widths are not supplied - see README. These are widths
X# derived from Knuth's PK fonts from TeX, which are what is distributed
X# with jetroff. jt.fonts has some example character mapping overrides
X# to make dt.c's mapping tables correspond to jetroff's
X# character->font arrangement. (Box drawing characters in Rick
X# Richardson's ST (cmtrf) font)
X
Xjt width=jt t2arg='-Tdt -pjt -ddjet' lparg='| djet | lp -d$ptr -n$copies'
Xjt ptr=laser
X
X# X.11 Xtroff using supplied ps width tables
X#
X# You should probably run xtroff's devpsc ditroff width tables
X# through gfttab ("cd widths; gfnttab /usr/lib/font/devpsc psc" ?)
X# and change width to psc. However, the default "ps" tables work
X# pretty well. A few characters in CAT troff do not print as you
X# would expect: ^, @, \(ga, \(em, \(dg, \(bs, \(eq. Some of these
X# may have been fixed in your version of xtroff (patch 10).
X
Xxt width=ps t2arg='-Tdt -dpsc' lparg='| xtroff'
X
X# Adobe Transcript psdit - this appears to work, but I've not
X# set a workable lparg. A number of characters are missing:
X# @, ^, ff, ffi, ffl (ligatures are off by default anyways),
X# \(bs displays as a heart.
X
Xpsd width=ps t2arg='-Tdt -dpsc' lparg='| psdit | something'
X
X# AT&T ditroff previewer on 3b2's - using supplied ps width tables.
X# Using otroff (CAT troff on these machines) to drive.
X#
X# You should probably run xproof's devpsc ditroff width tables
X# through gfttab ("cd widths; gfnttab /usr/lib/font/devpsc psc" ?)
X# and change width to psc. Special note: xproof keeps each symbol
X# character/pointsize in a separate file, and counts as a separate font.
X# The limit appears to be 50 fonts, so testtab.m won't print completely.
X
Xtroff=otroff
Xxp width=ps t2arg='-Tdt -dpsc' lparg='| xproof'
END_OF_FILE
if test 5591 -ne `wc -c <'lib/psrofflib.S'`; then
echo shar: \"'lib/psrofflib.S'\" unpacked with wrong size!
fi
# end of 'lib/psrofflib.S'
fi
if test -f 'man/hpinterp.1.S' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'man/hpinterp.1.S'\"
else
echo shar: Extracting \"'man/hpinterp.1.S'\" \(3307 characters\)
sed "s/^X//" >'man/hpinterp.1.S' <<'END_OF_FILE'
X.\"Copyright 1989, 1990 by Chris Lewis 2.1 90/07/18
X.TH HPINTERP 1 local
X.SH NAME
Xhpinterp,lj2ps \- Look at HPLJ codes or convert to Postscript
X.SH SYNOPSIS
X.B hpinterp
X.B "-v"
X.B "-p"
X.B "-d"
X< HP codes
X.br
X.B lj2ps
X< HP codes > Postscript
X.SH DESCRIPTION
XThe
X.B hpinterp
Xprogram is a brute-force kludge to examine HP Laserjet compatible
Xescape code sequences.
XIt generates on standard output english readable versions of the HP
Xlaserjet escape sequences if the -v flag is given,
Xalong with the escape sequence themselves in a ``ascii-ish'' format if the
X-d option is also given.
XFurther, if
X.B hpinterp
Xfinds any fonts being downloaded in the stream, it will create
Xa file called
X.BI FONTS/f n
Xthat will contain the font in SFP format, and
X.I n
Xwill be the fontid assigned to it.
X(0 if there is no fontid assigned, as in HP font floppy distribution
Xformat).
XA file called
X.BI FONTS/f n .desc
Xwill also be created that contains a English description (including
Xcoarse pixel map) of each font.
X.PP
XIf the "-p" flag is given (without -v or -d),
X.B hpinterp
Xwill generate a postscript approximation of the motion and character
Xshow commands represented in the HPLJ sequence.
XIf appended to a
X.B "pk2ps -f"
Xof all of the
X.BI FONTS/f n
Xfiles created by
X.BR hpinterp ,
Xthe output can be printed on a Postscript printer (sometimes - see WARNINGS).
X.PP
X.B lj2ps
Xis a simple shell script that will take HPLJ code on standard input,
Xrun
X.B "hpinterp -p"
Xon it, then run
X.B "pk2ps -f"
Xon the fonts that
X.B "hpinterp"
Xcreated, and then produce on standard output a Postscript file that
Xcan be sent to a Postscript printer.
X.SH FILES
X.if t .ta 2.5i
X.if n .ta 3.5i
X./FONTS/f<n> Parsed-out SFP's
X.br
X./FONTS/f<n>.desc English descriptions
X.SH "SEE ALSO"
XHewlett Packard Laserjet documentation.
XAdobe Systems Postscript documentation.
X.SH WARNINGS
X.B Hpinterp
Xis a dog, it was written for quick debugging purposes.
XThe
X.B -p
Xoption was implemented soley so I could debug
X.B "troff2ps -Tlj"
Xwithout having a laserjet printer.
X.B Hpinterp
Xwill not create a FONTS directory if one doesn't exist, and will die if
Xthere isn't one.
XAs far as generating postscript is concerned,
X.B hpinterp
Xonly translates the 3 or 4 escape sequences generated by
X.B "troff2ps -Tlj"
Xand thereby should not be used on HPLJ output from ANY other program.
XIn fact,
X.B "hpinterp -p"
X.B cannot
Xeven handle plain ASCII.
XThe only sequences that
X.B hpinterp
Xactually does something with for Postscript are:
XX and Y absolute decipoint positioning, select font by characteristic
X("b" or "n" matching), download font, select downloaded font, emit page
Xand print a character.
X.PP
X.B "hpinterp -p"
Xwill attempt to do something sane with selecting a font by characteristic,
Xbut be warned, these use the printer's built-in fonts (which are likely
Xto be radically different from a LJ's), so the widths may be different and
Xthe mappings of non-ASCII characters certainly will be.
XFurther, the current incarnation of
X.B hpinterp
Xcannot handle multiple-character output sequences, and will display
Xwierd things.
X.PP
XMost Postscript printers have relatively little memory for additional
Xbitmapped fonts.
XDo not be surprised by VMerrors from your Postscript printer if you've
Xselected more than a few fonts in your Laserjet output.
X.SH AUTHOR
XWritten by Chris Lewis
END_OF_FILE
if test 3307 -ne `wc -c <'man/hpinterp.1.S'`; then
echo shar: \"'man/hpinterp.1.S'\" unpacked with wrong size!
fi
# end of 'man/hpinterp.1.S'
fi
if test -f 'psroff.S' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'psroff.S'\"
else
echo shar: Extracting \"'psroff.S'\" \(4740 characters\)
sed "s/^X//" >'psroff.S' <<'END_OF_FILE'
X%%STARTSHELL%%
X# Copyright 1985, 1986, 1987, 1988 Chris Lewis
X# All Rights Reserved
X#
X# Permission to copy and further distribute is freely given provided
X# this copyright notice remains intact and that this software is not
X# sold for profit.
X#
X# Project: Generic Troff drivers
X# Module: psroff.sh
X# Author: Chris Lewis
X# Specs: troff driver
X#
X#ident "@(#)psroff.sh: 2.2 Copyright 90/10/01 14:41:16 Chris Lewis"
X
XLIBDIR="%%LIBDIR%%"
XFONTDIR="%%FONTDIR%%"
X
Xterm=false
Xfail=false
Xtype=`basename $0 | sed -n -e 's;^\([^/]*\)roff$;\1;p'`
Xif [ -z "$type" ]
Xthen
X echo "psroff: Can't intuit psroff type from $0" >&2
X exit 1
Xfi
Xcopies=1
Xfor i in $*
Xdo
X case $i in
X -F)
X fail=true
X ;;
X -X)
X set -x
X debug=1
X ;;
X -t)
X term=true
X ;;
X -T*)
X type=`echo $i | sed -e 's/-T//'`
X ;;
X -d*)
X sptr=`echo $i | sed -e 's/-d//'`
X ;;
X -n*)
X copies=`echo $i | sed -e 's/-n//'`
X ;;
X -D* | -M | -R* | -O* | -P* | -Z)
X extraargs="$extraargs $i"
X ;;
X -m* | -c*)
X mac=`echo $i | sed -e 's/-[cm]//'`
X file="$LIBDIR/adapters/mac.$type/tmac.$mac"
X if [ ! -r $file ]
X then
X file="$LIBDIR/adapters/tmac.$mac"
X fi
X if [ ! -r $file ]
X then
X file="%%RTMACDIR%%/tmac.$mac"
X fi
X if [ ! -r $file ]
X then
X echo "$0: Couldn't find tmac.$mac anywhere!" >&2
X exit 1
X fi
X files="$files $file"
X ;;
X -)
X files="$files $i"
X seenfiles=1
X ;;
X -rL*)
X eval `echo $i | sed -e 's/-rL\(..*\)\(.\)$/length=\1 prec=\2/'`
X if [ -z "$length" -o -z "$prec" ]
X then
X echo "$0: Bad length definition ($i) - must have value and scale" \
X >&2
X exit 1
X fi
X extraargs="$extraargs -l$length$prec"
X args="$args $i"
X ;;
X -*)
X args="$args $i"
X ;;
X *)
X files="$files $i"
X seenfiles=1
X if [ ! -r $i ]
X then
X echo "$0: cannot open $i" >&2
X exit 1
X fi
X ;;
X esac
Xdone
X
Xif [ -z "$seenfiles" ]
Xthen
X files="$files -"
Xfi
X
Xif [ -f troff2ps ]
Xthen
X t2=./troff2ps
Xelse
X t2=$LIBDIR/troff2ps
Xfi
X
Xif [ -r psrofflib ]
Xthen
X psrofflib=psrofflib
Xelif [ -r lib/psrofflib ]
Xthen
X psrofflib=lib/psrofflib
Xelse
X if [ -r $LIBDIR/lib/psrofflib ]
X then
X psrofflib=$LIBDIR/lib/psrofflib
X fi
Xfi
X
Xif [ -z "$psrofflib" ]
Xthen
X echo "$0: Can't find psrofflib in . or $LIBDIR" >&2
X exit 1
Xfi
X
XF=''
X# If your system has no awk (or a busted one), you may have to
X# comment out the "line=`awk ... $psrofflib" lines, and uncomment
X# the sed script. If you do, you won't be able to continue
X# psrofflib lines, so you'll have to "join" the entries in psrofflib
X# (remembering to delete the name fields in the continuation lines).
Xline=`awk '
X $1 ~ /^#/ {next}
X $0 ~ /^troff/ { print $0 }
X $1 == "'$type'" {
X seen=1
X print "F='T'" substr($0, length($1) + 1)
X next
X }
X { if (seen) exit(0) }
X' $psrofflib`
X#line=`sed -n -e '/^troff/p' \
X# -e "/^$type[ ]/{
X# s/^$type[ ]*\(.*\)$/F='T' \1/p
X# q
X# }" $psrofflib`
X
Xif [ -z "$line" ]
Xthen
X echo "$0: Can't find a line for '$type' in $psrofflib" >&2
X exit 1
Xelse
X eval "$line"
X if [ -z "$F" ]
X then
X echo "$0: Can't find a line for '$type' in $psrofflib" >&2
X exit 1
X fi
Xfi
X
Xif [ -z "$troff" ]
Xthen
X # Use path instead
X troff=troff
Xelse
X if [ ! -f $troff ]
X then
X echo "$0: $troff: not executable" >&2
X exit 1
X fi
Xfi
X
Xif [ -z "$trofftype" ]
Xthen
X widtharg=''
Xelse
X if [ ! -d $FONTDIR/$width ]
X then
Xcat >&2 <<!
XCAT Troff width tables have not been installed in $FONTDIR/$width/ft\*.
XEither you've not installed psroff yet, or your 'width' setting in psrofflib
Xis incorrect. Continuing anyways, using the default CAT troff widths found
Xin $FONTDIR/ft\*, but the character spacing may be somewhat strange.
XYou should investigate your configuration (see the README and TROUBLE files).
X!
X widtharg=''
X else
X widtharg=`eval echo $trofftype`
X fi
Xfi
X
Xif [ -z "$t2arg" ]
Xthen
X echo "$0: t2arg isn't set for $type" >&2
X exit 1
Xfi
X
Xt2arg="$t2arg $extraargs"
X
Xif [ -n "$sptr" ]
Xthen
X ptr=$sptr
Xfi
X
Xif [ -n "$debug" ]
Xthen
X (
X echo "troff=$troff"
X echo "trofftype=$trofftype"
X echo "width=$width"
X echo "t2arg=$t2arg"
X echo "lparg=$lparg"
X echo "widtharg=$widtharg"
X echo "ptr=$ptr"
X ) >&2
Xfi
X
Xif [ -n "$widtharg" -a ! -d %%FONTDIR%%/$width ]
Xthen
X echo "$0: troff doesn't have width tables ($width) for $type printer" >&2
X echo "Please see the README and gfnttab for creating them" >&2
X exit 1
Xfi
X
Xif $fail
Xthen
X $troff -t $widtharg $args $files > /dev/null
Xelif $term
Xthen
X ( $troff -t $widtharg $args $files 2>&1 ) | $t2 $t2arg
X exit $?
Xelse
X eval "( $troff -t $widtharg $args $files 2>&1 ) | $t2 $t2arg $lparg"
X exit $?
Xfi
END_OF_FILE
if test 4740 -ne `wc -c <'psroff.S'`; then
echo shar: \"'psroff.S'\" unpacked with wrong size!
fi
# end of 'psroff.S'
fi
if test -f 'tests/chartab.m' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'tests/chartab.m'\"
else
echo shar: Extracting \"'tests/chartab.m'\" \(3285 characters\)
sed "s/^X//" >'tests/chartab.m' <<'END_OF_FILE'
X.\"2.1 90/07/18
X.lg 1
X.DS
X.TS
Xallbox;
Xcf3 p14 s s s s s
Xc c c || c c c
Xl l l || l l l.
XMathematical and Other Characters
X=
Xcharacter denotation name character denotation name
X=
X\(pl \e(pl math plus \(ib \e(ib improper subset
X\(mi \e(mi math minus \(ip \e(ip improper superset
X\(eq \e(eq math equal \(if \e(if infinity
X\(** \e(** math star \(pd \e(pd partial derivative
X\(sc \e(sc section \(gr \e(gr gradient
X\(aa \e\(aa or \e(aa acute accent \(no \e(no not
X\(ga \e\(ga or \e(ga grave accent \(is \e(is integral sign
X\(ul \(ul or \e(ul underrule \(pt \e(pt proportional to
X\(sl \(sl or \e(sl slash \(es \e(es empty set
X\(sr \e(sr square root \(mo \e(mo member of
X\(rn \e(rn root en \(br \e(br or | box rule
X\(>= \e(>= \(>= \(dd \e(dd dbl dagger
X\(<= \e(<= \(<= \(rh \e(rh right hand
X\(== \e(== equivalence \(lh \e(lh left hand
X\(~= \e(~= approx = \(or \e(or or
X\(ap \e(ap approximates \(ci \e(ci circle
X\(!= \e(!= not equal \(lt \e(lt left top of big { and (
X\(-> \e(-> right arrow \(lb \e(lb left bot of big { and (
X\(<- \e(<- left arrow \(rt \e(rt right top of big } and )
X\(ua \e(ua up arrow \(rb \e(rb right bot of big } and )
X\(da \e(da down arrow \(lk \e(lk left ctr of big { and (
X\(mu \e(mu multiply \(rk \e(rk right ctr of big } and )
X\(di \e(di divide \(bv \e(bv bold vertical
X\(+- \e(+- plus-minus \(lf \e(lf left floor
X\(cu \e(cu cup (union) \(rf \e(rf right floor
X\(ca \e(ca intersection \(lc \e(lc left ceiling
X\(sb \e(sb subset of \(rc \e(rc right ceiling
X\(sp \e(sp superset of
X.TE
X.DE
X.P
XAlignment test:
X.DS
X\(sr\(rn
X.DE
X.P
XLigatures:
Xfido, floor, snaffle, suffix, shuffle.
X.DS
X.EQ
Xsum from i=0 to {i= inf} x sup i
X.EN
X.EQ
Xsqrt a+b + 1 over sqrt {ax sup 2 +bx+c}
X.EN
X.EQ
Xsqrt {a sup 2 over b sub 2}
X.EN
X.TS
Xallbox;
Xcf3 p14 s s s s s
Xc c c || c c c
Xl l l || l l l.
XGreek Characters
X=
Xcharacter denotation name character denotation name
X=
X\(*a \e(*a alpha \(*A \e(*A Alpha
X\(*b \e(*b beta \(*B \e(*B Beta
X\(*g \e(*g gamma \(*G \e(*G Gamma
X\(*d \e(*d delta \(*D \e(*D Delta
X\(*e \e(*e epsilon \(*E \e(*E Epsilon
X\(*z \e(*z zeta \(*Z \e(*Z Zeta
X\(*y \e(*y eta \(*Y \e(*Y Eta
X\(*h \e(*h theta \(*H \e(*H Theta
X\(*i \e(*i iota \(*I \e(*I Iota
X\(*k \e(*k kappa \(*K \e(*K Kappa
X\(*l \e(*l lambda \(*L \e(*L Lambda
X\(*m \e(*m mu \(*M \e(*M Mu
X\(*n \e(*n nu \(*N \e(*N Nu
X\(*c \e(*c xi \(*C \e(*C Xi
X\(*o \e(*o omicron \(*O \e(*O Omicron
X\(*p \e(*p pi \(*P \e(*P Pi
X\(*r \e(*r rho \(*R \e(*R Rho
X\(*s \e(*s sigma \(*S \e(*S Sigma
X\(ts \e(ts terminal sigma
X\(*t \e(*t tau \(*T \e(*T Tau
X\(*u \e(*u upsilon \(*U \e(*U Upsilon
X\(*f \e(*f phi \(*F \e(*F Phi
X\(*x \e(*x chi \(*X \e(*X Chi
X\(*q \e(*q psi \(*Q \e(*Q Psi
X\(*w \e(*w omega \(*W \e(*W Omega
X.TE
X.DE
X.DS
X.TS
Xallbox;
Xcf3 p14 s s s s s
Xc c c || c c c
Xl l l || l l l.
XNon-ASCII Characters and minus on the Standard Fonts
X=
Xcharacter denotation name character denotation name
X=
X\&` \` open quote \(34 \e(34 3/4
X\&' \' close quote \(fi \e(fi fi
X\&`` \`\` open double quotes \(fl \e(fl fl
X\&'' \'\' close double quotes \(ff \e(ff ff
X\(em \e(em 3/4 em \(Fi \e(Fi ffi
X\(hy \e(hy - hyphen \(Fl \e(Fl ffl
X\- \e- minus \(de \e(de degree
X\(bu \e(bu bullet \(dg \e(dg dagger
X\(sq \e(sq square \(fm \e(fm foot mark
X\(ru \e(ru rule \(ct \e(ct cent sign
X\(14 \e(14 1/4 \(rg \e(rg registered
X\(12 \e(12 1/2 \(co \e(co copyright
X.TE
X.DE
X.S
END_OF_FILE
if test 3285 -ne `wc -c <'tests/chartab.m'`; then
echo shar: \"'tests/chartab.m'\" unpacked with wrong size!
fi
chmod +x 'tests/chartab.m'
# end of 'tests/chartab.m'
fi
if test -f 'tests/testtab.m' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'tests/testtab.m'\"
else
echo shar: Extracting \"'tests/testtab.m'\" \(2988 characters\)
sed "s/^X//" >'tests/testtab.m' <<'END_OF_FILE'
X.\" 2.1 90/07/18
X.po .25i
X.in 0
X.fp 1 R
X.fp 2 I
X.fp 3 B
X.fp 4 S
X.ps 12
X.vs 14
X.sp |.3i
X.ce 3
XPSROFF TEST SHEET (2.1)
X.br
XPlease fill out and FAX to (416) 595-5439
X.br
X\*(2d
X.ps 10
X.vs 12
X.TS
Xl lw(1.2i) l lw(1.2i) l lw(1.2i).
X
XUNIX _ Hardware: _ psroff \*(2v
Xversion version
X
XName: _ E-mail _ driver/printer _
X address (ps/dt/lj)
X.TE
X.TS
Xbox;
Xc s s s s s s s s s s s s s s s
Xl l | l l | l l | l l | l l | l l | l l | l l.
XNormal Font Listing
X_
X! ! $ $ % % & & ' ' ( ( ) ) * *
X_
X+ + , , \- \e- \. . / / 0 0 1 1 2 2
X_
X3 3 4 4 5 5 6 6 7 7 8 8 9 9 : :
X_
X; ; \&= \&= ? ? A A B B C C D D E E
X_
XF F G G H H I I J J K K L L M M
X_
XN N O O P P Q Q R R S S T T U U
X_
XV V W W X X Y Y Z Z [ [ ] ] ` `
X_
Xa a b b c c d d e e f f g g h h
X_
Xi i j j k k l l m m n n o o p p
X_
Xq q r r s s t t u u v v w w x x
X_
Xy y z z | | \(hy \e(hy \(bu \e(bu \(sq \e(sq \(em \e(em \(ru \e(ru
X_
X\(14 \e(14 \(12 \e(12 \(34 \e(34 \(fi \e(fi \(fl \e(fl \(ff \e(ff \(Fi \e(Fi \(Fl \e(Fl
X_
X\(de \e(de \(dg \e(dg \(fm \e(fm \(rg \e(rg \(co \e(co \(ct \e(ct
X.T&
Xc s s s s s s s s s s s s s s s
Xl l | l l | l l | l l | l l | l l | l l | l l.
X=
XSymbol Font Listing
X_
X" " # # < < > > @ @ \e \ee ^ ^ \(br \e(br
X_
X{ { } } ~ ~ \(sc \e(sc \(aa \e(aa \(ga \e(ga \(ul \e(ul \(sl \e(sl
X_
X\(*a \e(*a \(*b \e(*b \(*g \e(*g \(*d \e(*d \(*e \e(*e \(*z \e(*z \(*y \e(*y \(*h \e(*h
X_
X\(*i \e(*i \(*k \e(*k \(*l \e(*l \(*m \e(*m \(*n \e(*n \(*c \e(*c \(*o \e(*o \(*p \e(*p
X_
X\(*r \e(*r \(*s \e(*s \(*t \e(*t \(*u \e(*u \(*f \e(*f \(*x \e(*x \(*q \e(*q \(*w \e(*w
X_
X\(*G \e(*G \(*D \e(*D \(*H \e(*H \(*L \e(*L \(*C \e(*C \(*P \e(*P \(*S \e(*S \(*U \e(*U
X_
X\(*F \e(*F \(*Q \e(*Q \(*W \e(*W \(sr \e(sr \(ts \e(ts \(rn \e(rn \(>= \e(>= \(<= \e(<=
X_
X\(== \e(== \(mi \e(mi \(~= \e(~= \(ap \e(ap \(!= \e(!= \(-> \e(-> \(<- \e(<- \(ua \e(ua
X_
X\(da \e(da \(eq \e(eq \(mu \e(mu \(di \e(di \(+- \e(+- \(cu \e(cu \(ca \e(ca \(sb \e(sb
X_
X\(sp \e(sp \(ib \e(ib \(ip \e(ip \(if \e(if \(pd \e(pd \(gr \e(gr \(no \e(no \(is \e(is
X_
X\(pt \e(pt \(es \e(es \(mo \e(mo \(pl \e(pl \(dd \e(dd \(rh \e(rh \(lh \e(lh \(** \e(**
X_
X\(bs \e(bs \(or \e(or \(ci \e(ci \(lt \e(lt \(lb \e(lb \(rt \e(rt \(rb \e(rb \(lk \e(lk
X_
X\(rk \e(rk \(bv \e(bv \(lf \e(lf \(rf \e(rf \(lc \e(lc \(rc \e(rc
X.TE
X.br
X!$%&'()*+,\(\-\./0123456789:;=?ABCDEFGHIJKLMNOPQRSTUVWXYZ[
X.br
X]`abcdefghijklmnopqrstuvwxyz|\(hy\(bu\(sq\(em\(ru\(14\(12\(34\(fi\(fl\(ff\(Fi\(Fl\(de\(dg\(fm\(rg\(co\(ct
X.br
X"#<>@\e^\(br{}~\(sc\(aa\(ga\(ul\(sl\(*a\(*b\(*g\(*d\(*e\(*z\(*y\(*h\(*i\(*k\(*l\(*m\(*n\(*c\(*o\(*p\(*r\(*s\(*t\(*u\(*f\(*x\(*q\(*w\(*G\(*D\(*H\(*L\(*C\(*P\(*S\(*U\(*F\(*Q\(*W\(sr\(ts\(rn
X.br
X\(>=\(<=\(==\(mi\(~=\(ap\(!=\(->\(<-\(ua\(da\(eq\(mu\(di\(+-\(cu\(ca\(sb\(sp\(ib\(ip\(if\(pd\(gr\(no\(is\(pt\(es\(mo\(pl\(dd\(rh\(lh\(**\(bs\(or\(ci\(lt\(lb\(rt\(rb\(lk\(rk\(bv\(lf\(rf\(lc\(rc
X.br
X\f1Roman 10p\fP
X\f2Italic 10p\fP
X\f3Bold 10p\fP
X\f1Roman 10p\fP
X\f2Italic 10p\fP
X\f3Bold 10p\fP
X.br
X.ps 16
X.vs 18
X\f1Roman 16p\fP
X\f2Italic 16p\fP
X\f3Bold 16p\fP
X\f1Roman 16p\fP
X\f2Italic 16p\fP
X\f3Bold 16p\fP
END_OF_FILE
if test 2988 -ne `wc -c <'tests/testtab.m'`; then
echo shar: \"'tests/testtab.m'\" unpacked with wrong size!
fi
chmod +x 'tests/testtab.m'
# end of 'tests/testtab.m'
fi
if test -f 'utils/pk2ditwid.c' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'utils/pk2ditwid.c'\"
else
echo shar: Extracting \"'utils/pk2ditwid.c'\" \(4792 characters\)
sed "s/^X//" >'utils/pk2ditwid.c' <<'END_OF_FILE'
X/* Copyright 1985, 1986, 1987, 1988 16:49:37 Chris Lewis
X All Rights Reserved
X
X Permission to copy and further distribute is freely given provided
X this copyright notice remains intact and that this software is not
X sold for profit.
X
X Project: Generic Troff drivers
X Module: pk2ditwid.c
X Author: Chris Lewis
X Specs: Generates ditroff width tables from PK's
X */
X
X#ifndef lint
Xstatic char SCCSID[] =
X "@(#)pk2ditwid.c 2.1 Copyright 90/07/18 16:49:37 Chris Lewis";
X#endif
X
X#include "defs.h"
X#include "pk.h"
X
X/* Dummied out for pk.c */
Xneedchar(a, b)
Xint a, b; {
X return(1);
X}
X
Xextern struct cattab tabN[], tabS[];
Xextern struct enctab encNormal[], encSymbol[];
X
Xint silent = 0;
Xint symbol = 0;
X
XFILE *fout = NULL;
Xchar *progname;
X
X#define UNITWIDTH 10
X
Xmain(argc, argv)
Xint argc;
Xchar **argv; {
X char buf[512];
X extern int optind;
X extern char *optarg;
X int c;
X register int i;
X struct enctab *et;
X
X progname = argv[0];
X while((c = getopt(argc, argv, "D:sS")) != EOF) {
X switch(c) {
X case 's':
X silent = 1;
X break;
X case 'S':
X symbol = 1;
X break;
X case 'D':
X#ifdef DEBUG
X setdebug(optarg, "pk2dw.diag");
X break;
X#else
X fprintf(stderr, "%s: DEBUG disabled - recompile\n",
X progname);
X exit(1);
X#endif
X default:
X fprintf(stderr, "usage: pk2sfp [-D<debugoptions>] [-sS] file\n");
X exit(1);
X }
X }
X
X if (!silent) {
X if (!symbol) {
X for (i = 0; encNormal[i].e_name; i++) {
X if (!encNormal[i].e_seq)
X printf("Can't use %s in Normal font\n",
X encNormal[i].e_name);
X#ifdef NEVER
X else if (strlen(encNormal[i].e_seq) != 1)
X printf("Multi-char sequence (Normal fonts): %s\n",
X encNormal[i].e_name);
X#endif
X }
X } else {
X for (i = 0; encSymbol[i].e_name; i++) {
X if (!encSymbol[i].e_seq)
X printf("Can't use %s in Symbol font\n",
X encSymbol[i].e_name);
X#ifdef NEVER
X else if (strlen(encSymbol[i].e_seq) != 1)
X printf("Multi-char sequence (Symbol fonts): %s\n",
X encSymbol[i].e_name);
X#endif
X }
X }
X }
X
X
X for(;argv[optind];optind++) {
X register struct pkp *pk;
X register struct pkc *pc;
X register char *p;
X
X p = strrchr(argv[optind], '/');
X if (p)
X strcpy(buf, p+1);
X else
X strcpy(buf, argv[optind]);
X
X if (p = strchr(buf, '.'))
X *p = '\0';
X else
X strcat(buf, ".WID");
X
X if (!(fout = fopen(buf, "w"))) {
X fprintf(stderr, "%s: cannot open %s\n", progname, buf);
X exit(1);
X }
X
X fprintf(fout, "# %s\n", buf);
X fprintf(fout, "# Generated by pk2ditwid\n");
X fprintf(fout, "spacewidth 22\n");
X fprintf(fout, "charset\n");
X
X /* Read the PK file in-core */
X pk = pk_read(argv[optind]);
X
X /* Emit each character */
X for (pc = pk->pkp_chars; pc; pc = pc->pkc_next) {
X if (pc->pkc_char <= 0x20)
X continue;
X if (symbol)
X et = encSymbol;
X else
X et = encNormal;
X scanet(pk, pc, et);
X }
X
X for (et = (symbol ? encSymbol: encNormal); et->e_name; et++) {
X if (et->e_seq && !et->e_wid) {
X if (!silent)
X printf("Didn't find width for %s\n", et->e_name);
X } else {
X register char *pp;
X fprintf(fout, "%s\t%ld\t%d\t",
X et->e_name, et->e_wid & 0x3f, (et->e_wid>>6)&0x3);
X for (pp = et->e_seq; *pp; pp++)
X fprintf(fout, "\\%03o", (*pp)&0xff);
X fprintf(fout, "\n");
X }
X }
X
X /* Clobber in-core PK */
X pk_destroy(pk);
X
X }
X exit(0);
X}
X
Xscanet(p, pc, et)
Xregister struct pkp *p;
Xregister struct pkc *pc;
Xregister struct enctab *et; {
X register char *pp;
X int found = 0;
X for (; et->e_name; et++) {
X if (!et->e_seq)
X continue;
X for (pp = et->e_seq; *pp; pp++) {
X if (((*pp)&0xff) == pc->pkc_char) {
X /* get # pixels */
X long widval = ((double) pc->pkc_dx / pow2(16)) *
X /* normalize by actual resolution */
X ((double) OUTRES / p->pkp_res) *
X /* normalize to UNITWIDTH points */
X ((double) UNITWIDTH * pow2(20) / p->pkp_ds) +
X /* round ... */
X 0.5;
X int kern = ((p->pkp_kh < pc->pkc_y_off) << 1) |
X (p->pkp_kl - 2 > pc->pkc_y_off - pc->pkc_height);
X /* the "-2" is a fudge for teensy descenders */
X found = 1;
X
X /*printf("%s %s %03o\n", et->e_name, et->e_seq, pc->pkc_char);*/
X if (et->e_wid) { /* already seen */
X int oldwid, oldkern;
X oldwid = et->e_wid&0x3f;
X oldkern = (et->e_wid>>6)&3;
X kern |= oldkern; /* this is correct */
X /* This can be fooled.... */
X if (*(pp+1) == 0x08 ||
X (pp > et->e_seq && *(pp-1) == 0x08))
X /* preceded or succeeded by BACKSPACE */
X widval = max(widval, oldwid);
X else
X widval += oldwid;
X if (widval > 0x3f) { /* oh-oh! */
X printf("Multi-sequence too wide! (%s)\n",
X et->e_name);
X widval = 0x3f;
X }
X }
X et->e_wid = (widval | (kern << 6));
X }
X }
X }
X if (!found && !silent)
X printf("Character \\%03o in font not used by troff\n",
X pc->pkc_char);
X}
END_OF_FILE
if test 4792 -ne `wc -c <'utils/pk2ditwid.c'`; then
echo shar: \"'utils/pk2ditwid.c'\" unpacked with wrong size!
fi
# end of 'utils/pk2ditwid.c'
fi
if test -f 'widths/widthps/HX' -a "${1}" != "-c" ; then
echo shar: Will not clobber existing file \"'widths/widthps/HX'\"
else
echo shar: Extracting \"'widths/widthps/HX'\" \(2923 characters\)
sed "s/^X//" >'widths/widthps/HX' <<'END_OF_FILE'
X# Helvetica-BoldOblique
X#2.1 90/07/18
Xname HX
Xinternalname HelveticaBO
Xligatures fi fl ff ffi ffl 0
Xspacewidth 28
Xcharset
X! 33 2 041
X" 47 2 042
X# 56 2 043
X$ 56 3 044
X% 89 2 045
X& 72 2 046
X' 28 2 047
X( 33 3 050
X) 33 3 051
X* 39 2 052
X+ 58 0 053
X, 28 1 054
X- 33 0 055
Xhy "
X. 28 0 056
X/ 28 2 057
Xsl "
X0 56 2 060
X1 56 2 061
X2 56 2 062
X3 56 2 063
X4 56 2 064
X5 56 2 065
X6 56 2 066
X7 56 2 067
X8 56 2 070
X9 56 2 071
X: 33 0 072
X; 33 1 073
X< 58 0 074
X= 58 0 075
X> 58 0 076
X? 61 2 077
X@ 98 3 0100
XA 72 2 0101
XB 72 2 0102
XC 72 2 0103
XD 72 2 0104
XE 67 2 0105
XF 61 2 0106
XG 78 2 0107
XH 72 2 0110
XI 28 2 0111
XJ 56 2 0112
XK 72 2 0113
XL 61 2 0114
XM 83 2 0115
XN 72 2 0116
XO 78 2 0117
XP 67 2 0120
XQ 78 2 0121
XR 72 2 0122
XS 67 2 0123
XT 61 2 0124
XU 72 2 0125
XV 67 2 0126
XW 94 2 0127
XX 67 2 0130
XY 67 2 0131
XZ 61 2 0132
X[ 33 3 0133
X\ 28 2 0134
X] 33 3 0135
Xa^ 58 2 0136 asciicircum
X_ 56 1 0137
Xru "
X` 28 2 0140
Xa 56 0 0141
Xb 61 2 0142
Xc 56 0 0143
Xd 61 2 0144
Xe 56 0 0145
Xf 33 2 0146
Xg 61 1 0147
Xh 61 2 0150
Xi 28 2 0151
Xj 28 3 0152
Xk 56 2 0153
Xl 28 2 0154
Xm 89 0 0155
Xn 61 0 0156
Xo 61 0 0157
Xp 61 1 0160
Xq 61 1 0161
Xr 39 0 0162
Xs 56 0 0163
Xt 33 2 0164
Xu 61 0 0165
Xv 56 0 0166
Xw 78 0 0167
Xx 56 0 0170
Xy 56 1 0171
Xz 50 0 0172
X{ 39 3 0173
X| 28 3 0174
X} 39 3 0175
Xa~ 58 0 0176 asciitilde
XI! 33 1 0241 exclamdown
Xct 56 3 0242 cent
Xpo 56 2 0243 sterling
X$J 56 2 0245 yen
Xsc 56 3 0247 section
Xfm 24 2 0251 quotesingle
Xn' "
Xlq 50 2 0252 quotedblleft
Xd< 56 0 0253 guillemotleft
Xl< 33 0 0254 guilsinglleft
Xr> 33 0 0255 guilsinglright
Xfi 61 2 0256 fi
Xfl 61 2 0257 fl
X\- 56 0 0261 endash
Xdg 56 3 0262 dagger
Xdd 56 3 0263 daggerdbl
Xpp 56 3 0266 paragraph
Xbu 35 0 0267 bullet
Xbq 50 2 0271 quotedblbase
Xrq 50 2 0272 quotedblright
Xd> 56 0 0273 guillemotright
Xpm 100 2 0275 perthousand
XI? 61 1 0277 questiondown
Xga 33 2 0301 grave
X\` "
Xaa 33 2 0302 acute
X\' "
X^ 33 2 0303 circumflex
X~ 33 2 0304 tilde
Xma 33 2 0305 macron
Xbe 33 2 0306 breve
Xdt 33 2 0307 dotaccent
X.. 33 2 0310 dieresis
Xum "
Xri 33 2 0312 ring
Xcd 33 1 0313 cedilla
X'' 33 2 0315 hungarumlaut
Xog 33 1 0316 ogonek
Xhc 33 2 0317 caron
Xem 100 0 0320 emdash
Xa: 56 2 0321 adieresis
Xo: 61 2 0322 odieresis
Xu: 61 2 0323 udieresis
XA: 72 2 0324 Adieresis
XO: 78 2 0325 Odieresis
XU: 72 2 0326 Udieresis
XAE 100 2 0341 AE
XPL 61 2 0350 Lslash
XO/ 78 2 0351 Oslash
XOE 100 2 0352 OE
Xae 89 0 0361 ae
Xui 28 0 0365 dotlessi
XPl 28 2 0370 lslash
Xo/ 61 0 0371 oslash
Xoe 94 0 0372 oe
Xss 61 2 0373 germandbls
Xff 61 2 0100 ff ligature - faked
XFi 89 2 0100 Fi ligature - faked
XFl 89 2 0100 Fl ligature - faked
X12 73 2 0100 1/2 faked - code is irrelevent
X13 73 2 0100 1/3 faked - code is irrelevent
X14 73 2 0100 1/4 faked - code is irrelevent
X18 73 2 0100 1/8 faked - code is irrelevent
X23 73 2 0100 2/3 faked - code is irrelevent
X34 73 2 0100 3/4 faked - code is irrelevent
X38 73 2 0100 3/8 faked - code is irrelevent
X58 73 2 0100 5/8 faked - code is irrelevent
X78 73 2 0100 7/8 faked - code is irrelevent
Xsq 100 3 0100 square box
END_OF_FILE
if test 2923 -ne `wc -c <'widths/widthps/HX'`; then
echo shar: \"'widths/widthps/HX'\" unpacked with wrong size!
fi
# end of 'widths/widthps/HX'
fi
echo shar: End of archive 13 \(of 16\).
cp /dev/null ark13isdone
MISSING=""
for I in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 ; do
if test ! -f ark${I}isdone ; then
MISSING="${MISSING} ${I}"
fi
done
if test "${MISSING}" = "" ; then
echo You have unpacked all 16 archives.
echo "Read the README to get started with psroff installation"
rm -f ark[1-9]isdone ark[1-9][0-9]isdone
else
echo You still must unpack the following archives:
echo " " ${MISSING}
fi
exit 0
--
Chris Lewis, Phone: TBA
UUCP: uunet!utai!lsuc!ecicrl!clewis
Moderator of the Ferret Mailing List (ferret-request at eci386)
Psroff mailing list (psroff-request at eci386)
More information about the Alt.sources
mailing list